function Get-CMDBDELInfo {
    param (
        $cmdb
    )
    
    Write-host "***NOTICE: $comp is a Device Exception computer. Please check CMDB/Asset Mgmt prior to supporting this workstation.  ***" -BackgroundColor Black -ForegroundColor Yellow
    if($null -eq $cmdb){
        return
    }
    if($cmdb.SHS_IsVendorPC -eq 'True'){
        $vendor = "Yes | Non-standard SHS Image/Hardware"
    }
    else{
        $vendor = "No | Standard SHS Hardware"
    }
    
    $delInfo = [PSCustomObject]@{
        Contact = $cmdb.SHS_ExceptionContact
        Vendor = $vendor
        Description = $cmdb.AssignedDescription
    }

    return $delInfo
}